FROM ubuntu:latest

RUN apt-get update
RUN apt-get install -y python3 python3-pip unzip
RUN pip install pandas
RUN pip install scikit-learn
RUN pip install kaggle
RUN pip install keras
RUN pip install tensorflow
RUN apt-get install -y git
RUN pip install sacred
RUN pip install pymongo

ARG DEBIAN_FRONTEND=noninteractive

ADD get-data.sh /get-data.sh
ADD prepare_dataset.py /prepare_dataset.py
ADD wines_train.py /wines_train.py
ADD predict.py /predict.py

RUN mkdir /.kaggle
RUN touch /.kaggle/kaggle.json
RUN chmod 777 /.kaggle/kaggle.json

RUN chmod 777 /get-data.sh
RUN chmod 777 /prepare_dataset.py
RUN chmod 777 /wines_train.py
RUN chmod 777 /predict.py