import tensorflow as tf
import pandas as pd

# Wczytanie danych
data = pd.read_csv('data/winemag-data_first150k.csv')

# Przygotowanie danych wejściowych
input_data = data[['price', 'points']]  # Wejście modelu (kolumny 'price' i 'points')

# Wczytanie wytrenowanego modelu
model = tf.keras.models.load_model('trained_model_tf.h5')

# Dokonanie predykcji na danych
predictions = model.predict(input_data)

# Zapisanie wyników predykcji do pliku CSV
output_df = pd.DataFrame(predictions, columns=['predicted_price'])
output_df.to_csv('predictions.csv', index=False)
